From 5965894ca8f2b2fa68818ef83d76ca3f81674960 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Dec 21 2020 21:58:45 +0000
Subject: [PATCH 1760/2232] Remove includes duplicated between cxx.h and cxx.cc


---

diff --git a/src/cxx.cc b/src/cxx.cc
index 6863129..8040e2c 100644
--- a/src/cxx.cc
+++ b/src/cxx.cc
@@ -1,13 +1,8 @@
 #include "../include/cxx.h"
-#include <algorithm>
 #include <cassert>
 #include <cstring>
-#include <exception>
 #include <iostream>
 #include <memory>
-#include <stdexcept>
-#include <type_traits>
-#include <vector>
 
 extern "C" {
 void cxxbridge1$cxx_string$init(std::string *s, const std::uint8_t *ptr,

